---
title: HTMLTableElement.createCaption()
slug: Web/API/HTMLTableElement/createCaption
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.createCaption()</strong></code> method returns the {{HtmlElement("caption")}} element associated with a given {{HtmlElement("table")}}. If no <code>&lt;caption&gt;</code> element exists on the table, this method creates it, and then returns it.</p>

<div class="notecard note">
<p><strong>Note:</strong> If no caption exists, <code>createCaption()</code> inserts a new caption directly into the table. The caption does not need to be added separately as would be the case if {{domxref("Document.createElement()")}} had been used to create the new <code>&lt;caption&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>HTMLTableElement</em> = <em>table</em>.createCaption();</pre>

<h3 id="Return_value">Return value</h3>

<p>{{domxref("HTMLTableCaptionElement")}}</p>

<h2 id="Example">Example</h2>

<p>This example uses JavaScript to add a caption to a table that initially lacks one.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;&lt;td&gt;Cell 1.1&lt;/td&gt;&lt;td&gt;Cell 1.2&lt;/td&gt;&lt;td&gt;Cell 1.3&lt;/td&gt;&lt;/tr&gt;
  &lt;tr&gt;&lt;td&gt;Cell 2.1&lt;/td&gt;&lt;td&gt;Cell 2.2&lt;/td&gt;&lt;td&gt;Cell 2.3&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js; highlight:[2] notranslate">let table = document.querySelector('table');
let caption = table.createCaption();
caption.textContent = 'This caption was created by JavaScript!';</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#dom-table-createcaption', 'HTMLTableElement: createCaption')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.createCaption")}}</p>
</div>
